
TYPO3.Flow - Feature # 26783

Status: Rejected Priority: Could have
Author: Robert Lemke Category: Configuration
Created: 2011-05-12 Assigned To: Christian Müller
Updated: 2012-10-10 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Support settings via OS Environment
Description

For sensitive data or other purposes it would be nice to support altering settings by some environment variables.

Example:

(YAML):
FLOW3:
  persistence:
    backendOptions:
      password: 'mypassword'

(.htaccess):

SetEnv FLOW3_FLOW3_PERSISTENCE_BACKENDOPTIONS_PASSWORD "mypassword"

Related issues:
related to TYPO3.Flow - Feature # 45851: Allow referencing environment variab... Needs Feedback2013-02-26

History
#1 - 2011-07-06 16:41 - Karsten Dambekalns
- Target version changed from 1.0 beta 1 to 1230

#2 - 2011-10-12 10:48 - Mr. Hudson
- Status changed from New to Under Review

Patch set 1 of change I89877637d440e060c45dc73011e65a01b36302c4 has been pushed to the review server.
It is available at http://review.typo3.org/5731

#3 - 2011-10-12 10:49 - Christian Müller
- Assigned To set to Christian Müller
- Target version changed from 1230 to 1.1

#4 - 2011-11-07 15:58 - Robert Lemke
- Has patch set to No

Thanks for starting with the implementation!

I suggest that we follow the general UNIX conventions and write the environment variable names all uppercase. Additionally, I'd rather not use an
additional prefix such as "F3" – can you just iterate over the active package keys, replace "." by "_", make it all uppercase and then consider the related
environment variables? So, in the end we'd have: TYPO3_FLOW3_SECURITY_ENABLE = 1

#5 - 2012-01-19 10:35 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5731

#6 - 2012-01-19 10:37 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5731

#7 - 2012-01-23 16:57 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5731

#8 - 2012-02-02 23:37 - Christian Müller

How should we proceed with this? The reviews show a dislike for it, I would love to discuss the points shortly, I still feel it can have valid use-cases...

#9 - 2012-04-25 11:53 - Christian Müller
- Target version changed from 1.1 to 1.1 beta 1

#10 - 2012-05-02 16:03 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5731

#11 - 2012-05-15 15:28 - Karsten Dambekalns
- Target version changed from 1.1 beta 1 to 1.1

#12 - 2012-05-21 15:57 - Karsten Dambekalns
- Target version changed from 1.1 to 2.0 beta 1

#13 - 2012-10-10 11:04 - Christian Müller
- Status changed from Under Review to Rejected

I abandon the change. Maybe we come up with some totally different way of setting stuff, but OS Environment seems not a good idea for

a) Security Reasons
b) Caching
c) General Performance as all ENV need to be checked
d) Every possible way of implementing has some drawbacks, like the Setting must exist in some Settings already, you cannot set a new setting.
